=== debian/changelog ===
ros-melodic-neo-local-planner (1.0.0-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Neobotix GmbH <ros@neobotix.de>  Mon, 17 Aug 2020 11:45:10 -0000
