=== debian/control ===
Source: ros-melodic-neo-local-planner
Section: misc
Priority: optional
Maintainer: Neobotix GmbH <ros@neobotix.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-base-local-planner, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-costmap-2d, ros-melodic-dynamic-reconfigure, ros-melodic-nav-core, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-tf2-sensor-msgs
Homepage: http://wiki.ros.org/base_local_planner
Standards-Version: 3.9.2

Package: ros-melodic-neo-local-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-base-local-planner, ros-melodic-costmap-2d, ros-melodic-dynamic-reconfigure, ros-melodic-nav-core, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-tf2-sensor-msgs
Description: This package provides a spline based implementation to local robot navigation on a plane.
 This package's ROS wrapper adheres to the BaseLocalPlanner interface specified in the nav_core package.
